CELLWRITER(1)

NAME
cellwriter - grid-entry handwriting recognition input panel

SYNOPSIS
cellwriter [options]

DESCRIPTION
CellWriter is a grid-entry natural handwriting recognition input panel. As you write characters into the cells, your writing is instantly recognized at the character level. When you press 'Enter' on the panel, the input you entered is sent to the currently focused application as if typed on the keyboard.

See the program website for details: http://risujin.org/cellwriter

OPTIONS
The following options are provided by CellWriter using the standard GNU command line syntax:

--help
    Prints the command line options.

--log-level=4
    Determines the detail level of log output:
    0 = Silent
    3 = Errors only
    4 = Warnings (default)
    5 = Informational messages
    7 = Debugging information
    8 = Function traces

--log-file=PATH
    Redirects log output from standard error to a file.

--xid
    This option starts CellWriter in embedded mode. You can set gnome-screensaver to call CellWriter with this option to embed CellWriter into the unlock password prompt.

--profile=filename
    Specifies the full path of a profile file to load instead of the user's.

--read-only
    Prevents changes from being saved to the profile.

--keyboard-only
    Places CellWriter in keyboard-only mode which prevents profile loading, suppresses the no-samples prompt, and only displays the full on-screen keyboard.

--show-window
--hide-window
    Show or hide the main window regardless of the saved profile setting. If an instance of CellWriter is already running, you can start a second instance of CellWriter with --hide-window to hide its window.

--window-x=X
--window-y=Y
    Specify the position of the main window in pixels, overriding the profile setting.

--dock-window=N
    Controls window docking:
    0 = Not docked
    1 = Docked to top
    2 = Docked to bottom

--window-struts
    Sets the extended window manager struts hint when docking. This causes all other windows to be moved out of the docking area. This works with some window managers (XFWM4) but can cause severe problems with others (Metacity).

--disable-overwrite
    CellWriter needs to modify the X server keymap in order to generate keystrokes for Unicode characters that are not already in the user's keymap. This can potentially cause stability issues. Use this option to prevent CellWriter from modifying the keymap.

AUTHOR
Michael Levin <risujin@risujin.org>